curl --request PUT \
--url https://api.ubpass.co/v1/wallet-pass-location/{locationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "TORONTO MALL LOCATION - UPDATED",
"enabled": true,
"latitude": 43.798327702071944,
"longitude": -79.24175240232819,
"relevantText": "Welcome to Toronto Premium Outlets - Updated",
"walletPass": {
"id": "1f07ee39-d750-6276-aff4-07a599527878"
}
}
'import requests
url = "https://api.ubpass.co/v1/wallet-pass-location/{locationId}"
payload = {
"name": "TORONTO MALL LOCATION - UPDATED",
"enabled": True,
"latitude": 43.798327702071944,
"longitude": -79.24175240232819,
"relevantText": "Welcome to Toronto Premium Outlets - Updated",
"walletPass": { "id": "1f07ee39-d750-6276-aff4-07a599527878" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'TORONTO MALL LOCATION - UPDATED',
enabled: true,
latitude: 43.798327702071944,
longitude: -79.24175240232819,
relevantText: 'Welcome to Toronto Premium Outlets - Updated',
walletPass: {id: '1f07ee39-d750-6276-aff4-07a599527878'}
})
};
fetch('https://api.ubpass.co/v1/wallet-pass-location/{locationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "1f089d37-5ebe-6778-af59-99631cec7ab5",
"createdTime": "2025-09-04T21:09:36.027Z",
"updatedTime": "2025-09-04T21:15:42.123Z",
"createdBy": "1ef58ae6-40ac-6fd2-96af-45801844c4e2",
"updatedBy": "1ef58ae6-40ac-6fd2-96af-45801844c4e2",
"workspaceId": "1f089d29-6f9c-66c2-af59-99631cec7ab5",
"accountId": "1f089d29-6fa8-6a13-af59-99631cec7ab5",
"name": "TORONTO MALL LOCATION - UPDATED",
"enabled": true,
"latitude": 43.798327702071944,
"longitude": -79.24175240232819,
"relevantText": "Welcome to Toronto Premium Outlets - Updated",
"walletPass": {
"id": "1f07ee39-d750-6276-aff4-07a599527878"
}
}{
"txId": "1f098faa-8f33-6425-b4ff-533200846d35",
"timestamp": "24-09-2025 03:57:59",
"errorCode": "INVALID_INPUT",
"context": {
"name": "must not be null"
}
}{
"txId": "Root=1-68d3693c-26a3db2278c7668f5e086711",
"timestamp": "24-09-2025 03:45:00",
"errorCode": "UNAUTHORIZED",
"errorMessage": "UNAUTHORIZED."
}{
"txId": "1f098fa9-3786-64d4-b4ff-533200846d35",
"timestamp": "24-09-2025 03:57:23",
"errorCode": "NOT_FOUND",
"errorMessage": "Not found.",
"context": {
"id": "1f083424-11ed-617f-9513-1b26dc975ee2"
}
}Update a wallet pass location
Update an existing wallet pass location by ID.
Authorizations
Bearer token authentication
Headers
Workspace ID to perform the operation in. If not provided, system will use the first one assigned to the user
^[a-zA-Z0-9-_]+$Path Parameters
Unique identifier of the wallet pass location to update
^[a-zA-Z0-9-_]+$Body
Updated wallet pass location data including name, coordinates, and wallet pass reference
Name of the location. This field is required and has a maximum length of 255 characters.
255"Main Store"
Latitude of the location in degrees. This field is required.
37.7749
Longitude of the location in degrees. This field is required.
-122.4194
Text to display on the lock screen when the user is near this location. This field is required and has a maximum length of 255 characters.
255"You are near Main Store!"
The time when the entity was created in ISO 8601 format including milliseconds and timezone offset.
"2025-05-13T15:07:15.036Z"
The time when the entity was last updated in ISO 8601 format including milliseconds and timezone offset.
"2025-05-13T15:07:15.036Z"
The user who created the entity.
The user who last updated the entity.
The ID of the workspace to which this entity belongs.
Indicates whether the location is enabled. If true, the pass may trigger a notification when the user is near this location. Default is true if not specified.
true
Altitude of the location in meters. Optional.
10.5
Response
Wallet pass location updated successfully
Name of the location. This field is required and has a maximum length of 255 characters.
255"Main Store"
Latitude of the location in degrees. This field is required.
37.7749
Longitude of the location in degrees. This field is required.
-122.4194
Text to display on the lock screen when the user is near this location. This field is required and has a maximum length of 255 characters.
255"You are near Main Store!"
The time when the entity was created in ISO 8601 format including milliseconds and timezone offset.
"2025-05-13T15:07:15.036Z"
The time when the entity was last updated in ISO 8601 format including milliseconds and timezone offset.
"2025-05-13T15:07:15.036Z"
The user who created the entity.
The user who last updated the entity.
The ID of the workspace to which this entity belongs.
Indicates whether the location is enabled. If true, the pass may trigger a notification when the user is near this location. Default is true if not specified.
true
Altitude of the location in meters. Optional.
10.5